%define		pdir	Locale
%define		pnam	gettext
Summary:	Locale::gettext Perl module - message handling functions
Summary(pl.UTF-8):	Moduł Perla Locale::gettext - funkcje do obsługi komunikatów
Name:		perl-Locale-gettext
Version:	1.07
Release:	10%{?tld}
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pnam}-%{version}.tar.gz
# Source0-md5:	bc652758af65c24500f1d06a77415019
URL:		https://metacpan.org/dist/gettext
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Obsoletes:	perl-gettext < 1.02
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Locale::gettext is a Perl 5 module quickly written to gain access to
the C library functions for internatialization.  They work just like
the C versions.

%description -l pl.UTF-8
Locale::gettext jest modułem Perla umożliwiającym dostęp do funkcji
ułatwiających umiędzynarodowienie programów. Działają one tak samo
jak ich wersje w C.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}" \
	LDDLFLAGS="%{rpmcflags} -shared"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Locale/gettext.pm
%dir %{perl_vendorarch}/auto/Locale/gettext
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/gettext/gettext.so
%{_mandir}/man3/Locale::gettext.3pm*
%changelog
* Sun Jul 09 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Locale-gettext.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> e2b1946
- perl 5.38.0 rebuild

* Tue Oct 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 5f876cf
- updated URL

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 010a720
- perl 5.36.0 rebuild

* Sun May 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 3311f28
- versioned Obsoletes

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d20f538
- rebuild with perl 5.34.0

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 5866e52
- updated macros version

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> a07006b
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 22a8d67
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 586cddb
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> 8224d95
- release 5

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 36f0064
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> edeae16
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> e455aa4
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Mon Feb 15 2016 Jakub Bogusz <qboosh@pld-linux.org> adaa493
- updated to 1.07
- removed obsolete perl510 patch

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9c0efcb
- release 15 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3876ec5
- x32 rebuild
- release 14 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> cdcf0dd
- x32 rebuild
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ea9e5a7
- release 12 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cb3b56c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 663a6b5
- rebuild for perl 5.20
- release 11 (by relup.sh)

